<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/translator_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>01/30/89  translator_info_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The translator_info_ subroutine contains utility routines needed by the
<span id="L4" class="LineNr">  4 </span>various system translators.  They are centralized here to avoid
<span id="L5" class="LineNr">  5 </span>repetitions in each of the individual translators.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>Entry points in translator_info_:
<span id="L9" class="LineNr">  9 </span><span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>:Entry: get_source_info: 07/21/83  translator_info_$get_source_info
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Function:  This entry point returns the information about a specified
<span id="L16" class="LineNr"> 16 </span>source segment that is needed for the standard object segment:  storage
<span id="L17" class="LineNr"> 17 </span>system location, date-time last modified, unique ID.
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>Syntax:
<span id="L21" class="LineNr"> 21 </span>declare translator_info_$get_source_info entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>call translator_info_$get_source_info entry <span class="textRainbow_lv0_p0">(</span>source_ptr<span class="textRainbow_lv0_o0">,</span> dir_name<span class="textRainbow_lv0_o0">,</span>
<span id="L25" class="LineNr"> 25 </span>     entryname<span class="textRainbow_lv0_o0">,</span> date_time_mod<span class="textRainbow_lv0_o0">,</span> unique_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>Arguments:
<span id="L29" class="LineNr"> 29 </span>source_ptr
<span id="L30" class="LineNr"> 30 </span>   is a pointer to the source segment about which information is
<span id="L31" class="LineNr"> 31 </span>   desired.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr"> 32 </span>dir_name
<span id="L33" class="LineNr"> 33 </span>   is a pathname of the directory in which the source segment is
<span id="L34" class="LineNr"> 34 </span>   located.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>entryname
<span id="L36" class="LineNr"> 36 </span>   is the primary name of the source segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>date_time_mod
<span id="L40" class="LineNr"> 40 </span>   is the date-time modified of the source segment as obtained from the
<span id="L41" class="LineNr"> 41 </span>   storage system.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L42" class="LineNr"> 42 </span>unique_id
<span id="L43" class="LineNr"> 43 </span>   is the unique ID of the source segment as obtained from the storage
<span id="L44" class="LineNr"> 44 </span>   system.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>code
<span id="L46" class="LineNr"> 46 </span>   is a storage system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>Notes on status code:
<span id="L50" class="LineNr"> 50 </span>A status code of zero indicates that all information has been returned
<span id="L51" class="LineNr"> 51 </span>normally.
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>A nonzero status code returned by this entry is a storage system status
<span id="L54" class="LineNr"> 54 </span>code.  Because the interface to this procedure is a pointer to the
<span id="L55" class="LineNr"> 55 </span>source segment, the presence of a nonzero status code probably
<span id="L56" class="LineNr"> 56 </span>indicates that the storage system entry for the source segment has been
<span id="L57" class="LineNr"> 57 </span>altered since the segment was initiated, i.e., the segment has been
<span id="L58" class="LineNr"> 58 </span>deleted, or this process no longer has access to the segment.
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>Notes:
<span id="L62" class="LineNr"> 62 </span>The entryname returned by this procedure is the primary name on the
<span id="L63" class="LineNr"> 63 </span>source segment.  It is not necessarily the same name as that by which
<span id="L64" class="LineNr"> 64 </span>the translator initiated it.
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>:Entry: component_get_source_info:
<span id="L68" class="LineNr"> 68 </span>  01/30/88  translator_info_$component_get_source_info
<span id="L69" class="LineNr"> 69 </span>
<span id="L70" class="LineNr"> 70 </span>
<span id="L71" class="LineNr"> 71 </span>Function:  This entry point returns the information about a specified
<span id="L72" class="LineNr"> 72 </span>source program that is needed for the standard object program:  storage
<span id="L73" class="LineNr"> 73 </span>system location, date-time last modified, unique ID.
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>Syntax:
<span id="L77" class="LineNr"> 77 </span>declare translator_info_$component_get_source_info entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L78" class="LineNr"> 78 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>call translator_info_$component_get_source_info <span class="textRainbow_lv0_p0">(</span>source_ptr<span class="textRainbow_lv0_o0">,</span> dir_name<span class="textRainbow_lv0_o0">,</span>
<span id="L81" class="LineNr"> 81 </span>     entry_name<span class="textRainbow_lv0_o0">,</span> component_name<span class="textRainbow_lv0_o0">,</span> date_time_mod<span class="textRainbow_lv0_o0">,</span> unique_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>Arguments:
<span id="L85" class="LineNr"> 85 </span>source_ptr
<span id="L86" class="LineNr"> 86 </span>   is a pointer to the source program about which information is
<span id="L87" class="LineNr"> 87 </span>   desired.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L88" class="LineNr"> 88 </span>dir_name
<span id="L89" class="LineNr"> 89 </span>   is a pathname of the directory in which the source segment is
<span id="L90" class="LineNr"> 90 </span>   located.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L91" class="LineNr"> 91 </span>entry_name
<span id="L92" class="LineNr"> 92 </span>   is the primary name of the source segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>component_name
<span id="L94" class="LineNr"> 94 </span>   is the name of the archive component. If the source program is not
<span id="L95" class="LineNr"> 95 </span>   a component of an archive, then this value is null &quot;&quot;.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>date_time_mod
<span id="L99" class="LineNr"> 99 </span>   is the date_time modified of the source program as obtained from the
<span id="L100" class="LineNr">100 </span>   storage system.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L101" class="LineNr">101 </span>unique_id
<span id="L102" class="LineNr">102 </span>   is the unique ID of the source segment as obtained from the storage
<span id="L103" class="LineNr">103 </span>   system.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L104" class="LineNr">104 </span>code
<span id="L105" class="LineNr">105 </span>   is a storage system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>Notes on status code:
<span id="L109" class="LineNr">109 </span>A status code of zero indicates that all information has been returned
<span id="L110" class="LineNr">110 </span>normally.
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>A nonzero status code returned by this entry is a storage system status
<span id="L113" class="LineNr">113 </span>code.  Because the interface to this procedure is a pointer to the
<span id="L114" class="LineNr">114 </span>source program, the presence of a nonzero status code probably
<span id="L115" class="LineNr">115 </span>indicates that the storage system entry for the source segment has been
<span id="L116" class="LineNr">116 </span>altered since the segment was initiated, i.e., the segment has been
<span id="L117" class="LineNr">117 </span>deleted, or this process no longer has access to the segment.
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>Notes:
<span id="L121" class="LineNr">121 </span>The entryname returned by this procedure is the primary name on the
<span id="L122" class="LineNr">122 </span>source segment.  It is not necessarily the same name as that by which
<span id="L123" class="LineNr">123 </span>the translator initiated it.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
